# Historical Results Projects

## Create a project

<mark style="color:green;">`POST`</mark> `https://api-v2.acrcloud.com/api/bm-hist-projects`

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Authorization | string | Bearer token     |
| Accept        | string | application/json |
| Content-Type  | string | application/json |

#### Request Body

| Name          | Type   | Description                        |
| ------------- | ------ | ---------------------------------- |
| region        | string | eu-west-1,us-west-2,ap-southeast-1 |
| name          | string | The project name                   |
| stations      | array  | Station ids array                  |
| project\_type | string | radio,tv                           |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "uid": 1,
    "name": "tv",
    "region": "eu-west-1",
    "access_key": "xxxxxxxxxxxxxxxxxxxxxxx",
    "state": 1,
    "months": [],
    "total_price": 0,
    "total_months": 0,
    "unit_price": 50,
    "payment_status": 0,
    "paid_amount": 0,
    "paid_at": "",
    "report_id": 0,
    "updated_at": "2026-05-08 09:20:45",
    "created_at": "2026-05-08 09:20:45",
    "id": 1,
    "total_channels": 0,
    "total_resutls": 0,
    "total_durations": 0,
    "monthly_details": {},
    "project_type": "tv"
  }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```bash
curl --location --request POST 'https://api-v2.acrcloud.com/api/bm-hist-projects' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}' \
--header 'Content-Type: application/json' \
--data-raw '{"region":"eu-west-1","name":"test","project_type":"tv","stations":[]}'
```

{% endtab %}
{% endtabs %}

## List the projects

<mark style="color:blue;">`GET`</mark> `https://api-v2.acrcloud.com/api/bm-hist-projects`

#### Query Parameters

| Name      | Type   | Description                        |
| --------- | ------ | ---------------------------------- |
| region    | string | eu-west-1,us-west-2,ap-southeast-1 |
| page      | number | Page number                        |
| per\_page | number | Items per page                     |

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Authorization | string | Bearer token     |
| Accept        | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": [
    {
      "id": 1,
      "uid": 1,
      "name": "tv2",
      "region": "eu-west-1",
      "access_key": "xxxxxxxxxxxxxxxxxxxxx",
      "state": 1,
      "months": [],
      "total_price": 0,
      "total_months": 0,
      "unit_price": 50,
      "payment_status": 0,
      "paid_amount": 0,
      "paid_at": "",
      "report_id": 0,
      "updated_at": "2026-05-08 09:20:45",
      "created_at": "2026-05-08 09:20:45",
      "total_channels": 0,
      "total_resutls": 0,
      "total_durations": 0,
      "monthly_details": {},
      "project_type": "tv"
    }
  ],
  "links": {
    "first": "https://api-v2.acrcloud.com/api/bm-hist-projects?page=1",
    "last": "https://api-v2.acrcloud.com/api/bm-hist-projects?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api-v2.acrcloud.com/api/bm-hist-projects",
    "per_page": "20",
    "to": 1,
    "total": 1
  }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```bash
curl --location --request GET 'https://api-v2.acrcloud.com/api/bm-hist-projects?region=eu-west-1&page=1&per_page=20' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}'
```

{% endtab %}
{% endtabs %}

## Get a project

<mark style="color:blue;">`GET`</mark> `https://api-v2.acrcloud.com/api/bm-hist-projects/:id`

#### Path Parameters

| Name | Type   | Description    |
| ---- | ------ | -------------- |
| id   | number | The project id |

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Authorization | string | Bearer token     |
| Accept        | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": 1,
    "uid": 1,
    "name": "tv2",
    "region": "eu-west-1",
    "access_key": "xxxxxxxxxxxxxxxxxxxx",
    "state": 1,
    "months": [],
    "total_price": 0,
    "total_months": 0,
    "unit_price": 50,
    "payment_status": 0,
    "paid_amount": 0,
    "paid_at": "",
    "report_id": 0,
    "updated_at": "2026-05-08 09:20:45",
    "created_at": "2026-05-08 09:20:45",
    "total_channels": 0,
    "total_resutls": 0,
    "total_durations": 0,
    "monthly_details": {},
    "project_type": "tv"
  }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```bash
curl --location --request GET 'https://api-v2.acrcloud.com/api/bm-hist-projects/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/bm-projects/historical-results-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
